com.google.cloud.dataflow.sdk.coders

## Interface CoderFactory

    public interface CoderFactory

A `CoderFactory` creates coders and decomposes values. It may operate on a parameterized type, such as `List`, in which case the `create(java.util.List<? extends com.google.cloud.dataflow.sdk.coders.Coder<?>>)` method accepts a list of coders to use for the type parameters.

### Method Summary

All Methods Instance Methods Abstract Methods
`Coder<?>` `create(List<? extends Coder<?>> componentCoders)` Returns a `Coder<?>`, given argument coder to use for values of a particular type, given the Coders for each of the type's generic parameter types.
`List<Object>` `getInstanceComponents(Object value)` Returns a list of objects contained in `value`, one per type argument, or `null` if none can be determined.

### Method Detail

#### create

    Coder<?> create(List<? extends Coder<?>> componentCoders)

Returns a `Coder<?>`, given argument coder to use for values of a particular type, given the Coders for each of the type's generic parameter types.

#### getInstanceComponents

    List<Object> getInstanceComponents(Object value)

Returns a list of objects contained in `value`, one per type argument, or `null` if none can be determined. The list of returned objects should be the same size as the list of coders required by `create(java.util.List<? extends com.google.cloud.dataflow.sdk.coders.Coder<?>>)`.